/* scache.h: A header for the servername cache functions.
 *
 * Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
 * Copyright (C) 1996-2002 Hybrid Development Team
 * Copyright (C) 2002      ircd-ratbox development team
 * Copyright (C) 2003-2004 ircd-immortal development team
 *
 * This file is licensed under the GNU General Public License, which is
 * distributed as LICENSE.
 */

#ifndef INCLUDED_scache_h
#define INCLUDED_scache_h
extern void clear_scache_hash_table(void);
extern const char *find_or_add(const char *name);
extern void count_scache(int *, unsigned long *);
#endif
