# MMS/MMK Makefile for OpenVMS

CC=	CC
CFLAGS=	/INCLUDE_DIRECTORY=([-.INCLUDE],[-.ADNS])/STANDARD=ISOC94
LDFLAGS=

OBJECTS=        M_ACCEPT,M_ADMIN,M_AWAY,M_CAPAB,M_CHALLENGE,M_CLOSE,-
                M_CONNECT,M_CRYPTLINK,M_ENCAP,M_ETRACE,M_FORCE,-
                M_GLINE,M_HELP,M_INFO,M_INVITE,M_ISON,M_JOIN,M_KLINE,-
                M_KNOCK,M_LINKS,M_LIST,M_LOCOPS,M_LUSERS,M_MAP,-
                M_MOTD,M_NAMES,M_OLIST,M_OPER,M_OPERWALL,M_OPME,-
                M_PASS,M_PING,M_PONG,M_POST,M_REHASH,M_RESTART,-
                M_RESV,M_SERVICES,M_SET,M_SPY,M_STATS,M_SVINFO,-
                M_TBURST,M_TESTLINE,M_TIME,M_TOPIC,M_TRACE,M_UNKLINE,-
                M_USER,M_USERHOST,M_USERS,M_VERSION,M_WALLOPS,M_WHO,-
                M_WHOIS,M_WHOWAS,M_XLINE

ALL : MODULES.OLB($(OBJECTS)) CORE.OLB

CORE.OLB :
	SET DEF [.CORE]
	MMK
	SET DEF [-]

CLEAN : 
	DELETE *.OLB;*
	DELETE *.OBJ;*
